class { 'spamassassin':
  uridnsbl_skip_domain               => ['google.com', 'youtu.be'],
  uridnsbl                           => { 'URIBL_SBLXBL' => ['sbl-xbl.spamhaus.org.', 'TXT']},
  sa_update                          => true,
  score_tests                        => {
    'BAYES_00'           => '-1.9',
    'HTML_IMAGE_ONLY_28' => '1.40',
  },
  whitelist_from                     => ['*@googlemail.com', '*@gmail.com'],
  whitelist_from_rcvd                => ['*@googlemail.com google.com', '*@gmail.com google.com'],
  whitelist_to                       => ['bob@gmail.com','sarah@yahoo.co.uk'],
  blacklist_from                     => ['*@msn.com','*@hotmail.com'],
  blacklist_to                       => ['frank@spammer.com', 'rita@example.com'],
  rewrite_header_subject             => '***SPAM***',
  report_safe                        => 2,
  trusted_networks                   => ['192.168.0.0/24'],
  skip_rbl_checks                    => false,
  dns_available                      => 'test',
  bayes_ignore_header                => ['X-Spam-Flag','X-Spam-Status'],
  razor_timeout                      => 10,
  pyzor_timeout                      => 10,
  spamcop_enabled                    => true,
  spamcop_from_address               => 'me@mydomain.com',
  spamcop_max_report_size            => 100,
  awl_enabled                        => true,
  textcat_enabled                    => true,
  ok_locales                         => ['en','ja'],
  shortcircuit_enabled               => true,
  shortcircuit_user_in_whitelist     => 'on',
  shortcircuit_user_in_def_whitelist => 'on',
  shortcircuit_user_in_blacklist     => 'on',
  dkim_timeout                       => 10,
}
